| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::android::WrappedSurfaceTransaction Struct Reference

A wrapper class that indicates whether a SurfaceTransaction was created by the flutter engine or was borrowed from Java for platform interop. More...

`#include <surface_transaction.h>`

## Public Member Functions
constexpr bool | operator== (const WrappedSurfaceTransaction &other) const
constexpr bool | operator!= (const WrappedSurfaceTransaction &other) const

## Public Attributes
ASurfaceTransaction * | tx = nullptr
bool | owned = true

## Detailed Description

A wrapper class that indicates whether a SurfaceTransaction was created by the flutter engine or was borrowed from Java for platform interop.

Definition at line 24 of file surface_transaction.h.

## Member Function Documentation

## ◆ operator!=()

constexpr bool impeller::android::WrappedSurfaceTransaction::operator!= | ( | const WrappedSurfaceTransaction & | other | ) | const
| inlineconstexpr

Definition at line 35 of file surface_transaction.h.

35 {
36 return !(*this == other);
37 }

## ◆ operator==()

constexpr bool impeller::android::WrappedSurfaceTransaction::operator== | ( | const WrappedSurfaceTransaction & | other | ) | const
| inlineconstexpr

Definition at line 31 of file surface_transaction.h.

31 {
32 return other.tx == tx;
33 }
impeller::android::WrappedSurfaceTransaction::tx
ASurfaceTransaction * tx
Definition: surface_transaction.h:25

References tx.

## Member Data Documentation

## ◆ owned

bool impeller::android::WrappedSurfaceTransaction::owned = true

Whether this SurfaceTransaction was created by the engine or imported from Java.

Definition at line 29 of file surface_transaction.h.

## ◆ tx

ASurfaceTransaction* impeller::android::WrappedSurfaceTransaction::tx = nullptr

Definition at line 25 of file surface_transaction.h.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- impeller/toolkit/android/surface_transaction.h